
Smart Proxy - Feature #8905

Add host configure option for binding the TCP port

01/12/2015 07:41 AM - Lukas Zapletal

Status: Closed   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: Core   

Target version: 1.8.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/245

  

Description

With the recent changes to Rack and Sinatra (

https://github.com/sinatra/sinatra/commit/0f9a959253bdf0c39422ffb9b60278df46ef0248, 

https://github.com/rack/rack/blob/master/lib/rack/server.rb) we bind localhost for dev setups and 0.0.0.0 for production. Let's add a

config entry so I can override this in my development setup.

Related issues:

Has duplicate Smart Proxy - Bug #9989: Smart-Proxy listens on 127.0.0.1 only Duplicate 04/01/2015

Has duplicate Smart Proxy - Feature #6225: As an admin I would like to bind f... Resolved 06/14/2014

Associated revisions

Revision 9ea2ac71 - 01/26/2015 07:55 AM - Lukas Zapletal 

Fixes #8905 - bind_port config option

History

#1 - 01/12/2015 07:47 AM - Dominic Cleal

- Category set to Core

#2 - 01/12/2015 07:48 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/smart-proxy/pull/245 added

- Pull request deleted ()

#3 - 01/26/2015 07:57 AM - Dominic Cleal

- translation missing: en.field_release set to 28

#4 - 01/26/2015 08:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 9ea2ac7117076b709ac1a7fd9951e0ac0392a7f0.

#5 - 04/02/2015 03:59 AM - Dominic Cleal

- Has duplicate Bug #9989: Smart-Proxy listens on 127.0.0.1 only added

#6 - 10/20/2015 06:46 AM - Dominic Cleal

- Has duplicate Feature #6225: As an admin I would like to bind foreman-proxy service to a specific IP address for security reasons added
